# mysqli::debug

# mysqli_debug

(PHP 5, PHP 7)

mysqli::debug -- mysqli_debug — Performs debugging operations

### Description

Object oriented style

mysqli::debug ( string `$message` ) : bool

Procedural style

mysqli_debug ( string `$message` ) : bool

Performs debugging operations using the Fred Fish debugging library.

### Parameters

`message`

  A string representing the debugging operation to perform

### Return Values

Returns `TRUE`.

### Notes

> Note:

> To use the mysqli_debug() function you must compile the MySQL client library to support debugging.

### Examples

Example #1 Generating a Trace File

`<?php
/* Create a trace file in '/tmp/client.trace' on the local (client) machine: */
mysqli_debug("d:t:o,/tmp/client.trace");
?>`

### See Also

- mysqli_dump_debug_info() - Dump debugging information into the log
- mysqli_report() - Alias of mysqli_driver->report_mode